#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	pyxattr
Summary:	Python 3 module for accessing Extended Attributes of the files
Summary(pl.UTF-8):	Moduł Pythona 3 pozwalający na dostęp do rozszerzonych atrybutów plików
Name:		python3-%{module}
Version:	0.8.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	https://pyxattr.k1024.org/downloads/%{module}-%{version}.tar.gz
# Source0-md5:	b741f7a2ce0f602416be777bce03a6e1
URL:		https://pyxattr.k1024.org/
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-recommonmark
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-libs >= 1:3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 3 module for accessing Extended Attributes of the files.

%description -l pl.UTF-8
Moduł Pythona 3 pozwalający na dostęp do rozszerzonych atrybutów
plików.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
%{__python3} -m pytest tests
%endif

%if %{with doc}
sphinx-build-3 -b html doc doc/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS.md README.md
%attr(755,root,root) %{py3_sitedir}/xattr.cpython-*.so
%{py3_sitedir}/pyxattr-%{version}-py*.egg-info
%changelog
* Mon Aug 28 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pyxattr.git;a=log;h=master

* Mon Aug 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 23f09ca
- updated to 0.8.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> fed96e6
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> c7c8993
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 7ef1e49
- rebuild with separate debuginfo build-ids

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> ff3d816
- release 2 (by relup.sh)

* Sat Jan 25 2020 Jakub Bogusz <qboosh@pld-linux.org> a755e2c
- copied from python-pyxattr.spec, updated to 0.7.1 (python 2 no longer supported)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9d55138
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Jan 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 506bd1c
- new URLs, updated to 0.6.1
- added python3- package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b5dfa11
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9818815
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 425f324
- automatic change: use py_build/py_install macros

* Mon May 11 2015 Jakub Bogusz <qboosh@pld-linux.org> af7fc5e
- gpm-friendly Source0 URL

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> 0760261
- up to 0.5.0; add missing build (pass CC/CFLAGS)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> be0708c
- BR: python-devel, python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> ff8671c
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6941157
- release 3

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> b5c7800
- release 2

* Fri Jan 02 2009 duddits <duddits@pld-linux.org> df8552c
- BR: python-setuptools (credit goes to Pawel Muszynski)

* Tue Dec 30 2008 areq <areq@pld-linux.org> b6ffe4b
- 0.4.0

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ef23db0
- release 2

